Bug 447086 - Several AVC denieds for rsyslog (meminfo, getattr)
Several AVC denieds for rsyslog (meminfo, getattr)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 15:21 EDT by Robert Scheck
Modified: 2008-11-17 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:03:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-05-17 15:21:00 EDT
Description of problem:
May 17 19:32:47 tux kernel: type=1400 audit(1211045567.841:7): avc:  denied  { 
read } for  pid=3048 comm="rsyslogd" name="meminfo" dev=proc ino=4026531842 
scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:object_r:proc_t:s0 
tclass=file
May 17 19:32:47 tux kernel: type=1400 audit(1211045567.841:8): avc:  denied  { 
getattr } for  pid=3048 comm="rsyslogd" path="/proc/meminfo" dev=proc 
ino=4026531842 scontext=system_u:system_r:syslogd_t:s0 
tcontext=system_u:object_r:proc_t:s0 tclass=file

type=AVC msg=audit(1210882650.446:269734): avc:  denied  { read } for  pid=6218 
comm="rsyslogd" name="meminfo" dev=proc ino=4026531842 
scontext=unconfined_u:system_r:syslogd_t:s0 
tcontext=system_u:object_r:proc_t:s0 tclass=file
type=SYSCALL msg=audit(1210882650.446:269734): arch=40000003 syscall=5 
success=yes exit=8 a0=2b25ee a1=0 a2=1b6 a3=2b25ee items=0 ppid=6217 pid=6218 
auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) 
comm="rsyslogd" exe="/sbin/rsyslogd" subj=unconfined_u:system_r:syslogd_t:s0 
key=(null)
type=AVC msg=audit(1210882650.447:269735): avc:  denied  { getattr } for  
pid=6218 comm="rsyslogd" path="/proc/meminfo" dev=proc ino=4026531842 
scontext=unconfined_u:system_r:syslogd_t:s0 
tcontext=system_u:object_r:proc_t:s0 tclass=file
type=SYSCALL msg=audit(1210882650.447:269735): arch=40000003 syscall=197 
success=yes exit=0 a0=8 a1=bfcb5660 a2=2ddff4 a3=b6a00550 items=0 ppid=6217 
pid=6218 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 
tty=(none) comm="rsyslogd" exe="/sbin/rsyslogd" 
subj=unconfined_u:system_r:syslogd_t:s0 key=(null)

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.3.1-49
rsyslog-3.16.1-1

How reproducible:
Everytime when rebooting.

Actual results:
AVC denied

Expected results:
No AVC denied.
Comment 1 Daniel Walsh 2008-07-02 15:32:47 EDT
Fixed in selinux-policy-3.3.1-75.fc9.noarch
Comment 2 Daniel Walsh 2008-11-17 17:03:58 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.